
.atb-2027-voting-fields {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: .5rem;
    >* { width: 100%; }

    @media(min-width: 992px) {
        >* { width: calc(50% - .25rem); }
    }
}

body .frm_form_fields .atb-2027-category {
    position: relative;
    padding: 20px;
    border-radius: 10px;

    @media(min-width: 600px) {
        padding-left: 130px;
    }

    .frm_form_field {
        margin-bottom: 0!important;
    }

    .form-field:not(.manual-entry-toggle) .frm_primary_label {
        text-align: center;
        @media(min-width: 600px) {
            text-align: left;
        }
    }

    div.manual-entry-toggle {
        display: flex;
        align-items: center;
        gap: .5rem;
        margin-bottom: 0!important;
        margin-top: 12px;

        > div {
            display: flex;
            align-self: flex-start;
        }

        label {
            font-size: 14px;
            order: 2;
            padding: 0;
            line-height: 1;
        }

        input:checked + .frm_switch .frm_slider {
            background-color: #005eb8;
        }

        .frm_switch {
            width: 36px;
            height: 21px;
        }

        .frm_slider:before {
            height: 19px;
            width: 19px;
        }
    }

    input[type=text] {
        color: var(--text-color)!important;
        border: 1px solid var(--text-color);
        border-bottom-width: 1px!important;
    }

    p.atb-2027-icon {
        margin: 0;
        padding: 0;
        img {
            width: 80px;
            aspect-ratio: 1/1;
            margin: 0 auto;
        }

        @media(min-width: 600px) {
            position: absolute;
            left: 0;
            top: 0;
            img {
                width: 130px;
            }
        }
    }

    .frm_input_label {
        font-weight: 600;
        font-size: 16px;
        line-height: 1.2;
        margin-bottom: 6px;
        span {
            font-weight: 900;
            text-decoration: underline;
        }
    }
}

.atb-2027-manualfields {
    display: flex;
    gap: .5rem;
    margin-bottom: 12px;
    flex-direction: column;
    @media(min-width: 600px) {
        flex-direction: row;
    }
}

body .frm_form_fields {
    .atb-2027__pink { background: var(--wp--preset--color--mid-grey); }
    .atb-2027__beige { background: #E2D8CB; }
    .atb-2027__maroon { background: var(--wp--preset--color--error); }
    .atb-2027__yellow { background: var(--wp--preset--color--accent-3); }
    .atb-2027__blue { background: var(--wp--preset--color--light-grey); }
    .atb-2027__darkblue { background: var(--wp--preset--color--accent-2); }
    .atb-2027__orange { background: var(--wp--preset--color--body); }

    .atb-2027__pink,
    .atb-2027__beige,
    .atb-2027__yellow { 
        label.frm_primary_label, 
        input[type="text"], 
        input[type="text"]:focus {
            color: var(--wp--preset--color--error)!important;
            border-color: var(--wp--preset--color--error)!important;
        }

        input[type="text"]::placeholder {
            color: var(--wp--preset--color--error);
        }
    }

    .atb-2027__blue,
    .atb-2027__orange { 
        label.frm_primary_label, 
        input[type="text"], 
        input[type="text"]:focus {
            color: var(--wp--preset--color--accent-2)!important;
            border-color: var(--wp--preset--color--accent-2)!important;
        }

        input[type="text"]::placeholder {
            color: var(--wp--preset--color--accent-2);
        }
    }

    .atb-2027__maroon,
    .atb-2027__darkblue { 
        label.frm_primary_label, 
        input[type="text"], 
        input[type="text"]:focus {
            color: #E2D8CB!important;
            border-color: #E2D8CB!important;
        }

        input[type="text"]::placeholder {
            color: #E2D8CB;
        }
    }
}

#frm_form_13_container .frm_submit {
    justify-content: center;
}


/* .atb-2027-category:nth-child(even) {
    padding-left: 0;
    padding-right: 150px;
    .atb-2027-icon {
        left: unset;
        right: 0;
    }
} */
